@TCL_STARTUP@

# This agent forcibly removes all of the symbolic names used in the examples.
#
# Note that you can only force an agent if (1) you turn on signatures so that
# the server can authenticate you and (2) you are the machine's owner, the
# machine's administrator or the owner of the agent being forced.

set code [
    catch {
       security signatures on
    } result
]

if {$code} {
    puts "Unable to turn on digital signatures:"
    puts ""
    puts $result
    puts ""
    puts "Proceeding anyways ..."
    puts ""
}

agent_begin

foreach name {email_agent file_agent server_agent handler} {

    catch { 
	agent_force "$agent(local-ip) $name"
    } result

    puts "$name: $result"
}
 
agent_end
